%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		synfig
Summary:	Vector-based 2D animation renderer
Version:	0.64.0
Release:	%mkrel 8
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.gz
Patch0:		synfig-0.62.01-ltld.patch
Patch1:		synfig-0.64.0-libpng1.6.patch
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics/Editors and Converters
BuildRequires: pkgconfig(cairo) >= 1.12.0
BuildRequires: pkgconfig(ETL) >= 0.04.16
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(OpenEXR)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(xft)
BuildRequires:	libltdl-devel
BuildRequires:	gettext-devel
BuildRequires:	cvs
BuildRequires:	png-devel
BuildRequires:	mng-devel
BuildRequires:	jpeg-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	imagemagick-devel
BuildRequires:	boost-devel
Requires:	libdv-apps
Requires:	imagemagick
Requires:	ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
# These two fix for the split of libMagick in recent releases - AdamW
sed -i -e 's|Magick,OptimizeImageTransparency|MagickCore,OptimizeImageTransparency|g' configure.ac
sed -i -e 's|MagickLib::|MagickCore::|g' src/modules/mod_magickpp/trgt_magickpp.cpp

autoreconf -fi
CXXFLAGS='-I /usr/include/ImageMagick-6' CFLAGS='-I /usr/include/ImageMagick-6' CPPFLAGS='-I /usr/include/ImageMagick-6'

%configure2_5x \
	--disable-static \
	--with-imagemagick
%make
								
%install
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.64.0-8.mga4
+ Revision: 535200
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.64.0-7.mga4
+ Revision: 481494
- rebuild for new imagemagick

* Thu Sep 12 2013 fwang <fwang> 0.64.0-6.mga4
+ Revision: 477860
- rebuild for new openexr

* Tue Aug 27 2013 tv <tv> 0.64.0-5.mga4
+ Revision: 472375
- rebuild for new libmng

* Wed Aug 07 2013 fwang <fwang> 0.64.0-4.mga4
+ Revision: 464412
- rebuild for new imagemagick

* Tue Jul 09 2013 fwang <fwang> 0.64.0-3.mga4
+ Revision: 451656
- rebuild for new boost

* Tue Jun 04 2013 fwang <fwang> 0.64.0-2.mga4
+ Revision: 437023
- fix build with libpng 1.6
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.64.0-1.mga4
+ Revision: 429254
- br boost
- update br
- bump req
- new version 0.64.0

* Tue May 28 2013 fwang <fwang> 0.63.05-8.mga4
+ Revision: 429192
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-7.mga3
+ Revision: 383912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 14 2012 fwang <fwang> 0.63.05-6.mga3
+ Revision: 330783
- rebuild for new imagemagick

* Sun Dec 02 2012 fwang <fwang> 0.63.05-3.mga3
+ Revision: 325023
- rebuild for new openexr

* Fri Oct 12 2012 fwang <fwang> 0.63.05-2.mga3
+ Revision: 305138
- rebuild for new imagemagick

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257353
- bump req on etl
- new version 0.63.05

* Tue Feb 14 2012 wally <wally> 0.63.04-1.mga2
+ Revision: 208923
- new version 0.63.04

* Mon Dec 12 2011 fwang <fwang> 0.63.03-1.mga2
+ Revision: 181030
- new version 0.63.03

* Fri Sep 30 2011 fwang <fwang> 0.63.02-1.mga2
+ Revision: 150547
- new version 0.63.02

* Sun Sep 25 2011 fwang <fwang> 0.63.01-1.mga2
+ Revision: 147666
- new version 0.63.01

* Sat Sep 17 2011 fwang <fwang> 0.63.00-3.mga2
+ Revision: 144477
- fix patch
- mre patch for libpng 1.5
- fix build with libpng1.5
- rebuild for new imagemagick

  + wally <wally>
    - really disable static build
    - enable support for ImageMagick
    - disable static build
    - new version 0.63.00
    - imported package synfig


* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2mdv2011.0
+ Revision: 685639
- move synfig-config to a -devel subpackage
- drop old scriptlets

* Mon Apr 18 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655864
- new version 0.62.02
- drop buildroot definition

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615915
- fix build with gcc 4.5
- drop unused patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492149
- New version 0.62.00

* Fri Sep 18 2009 Funda Wang <fwang@mandriva.org> 0.61.09-2mdv2010.0
+ Revision: 444251
- fix build with gcc 4.4

* Sun Oct 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297313
- import synfig


